package com.qmth.jkserver.dto.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.enums.ExamType;
import com.qmth.jkserver.model.ExamTask;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考试计划和task result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/28
 */
public class ExamPlanAnaTaskResult extends ExamTask {

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试名称")
    private String name;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "考试类型，NORMAL：通用机考，SOLFEGE：视唱机考，UTEST：优特机考")
    private ExamType examType;

    public ExamType getExamType() {
        return examType;
    }

    public void setExamType(ExamType examType) {
        this.examType = examType;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getExamCode() {
        return examCode;
    }

    @Override
    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }
}
